Subject: Re: [TLS] TLS1.3

From: Peter Gutmann <[email-masked]>
Date: Fri, 8 Feb 2013 10:48:06 +0000

[Repost of a series of emails which don't seem to have made it to the list]

"Lewis, Nick" <[email-masked]> writes:

>With confidence in the TLS being undermined once again as a result of
>problems with its MAC-Pad-Encrypt mechanism are there any plans to adopt an
>alternative mechanism such as Pad-MAC-Encrypt in TLS1.3?

I already have the necessary draft 90% complete, you don't need a rev of TLS,
just an extension "would you like to do encrypt-then-MAC" in the client hello,
and a corresponding "yes, let's do encrypt-then-MAC" in the server hello.
Works with any version of TLS.  I'll post it in the next day or two.

Peter.